package mensch;

//Link:
//www.galileocomputing.de/openbook/javainsel

/*
Klassendeklaration von CMensch
CMensch nicht explizit von einer Klasse abgeleitet
-> Standardableitung von java.lang.Object
*/

public class CMensch
{

  //**********
  //Attribute
  //**********

  //String Variable nicht vorbelegt - Wert: NULL
  //Int Variable nicht vorbelegt - Wert: 0

  private String _Name;
  private String _Vorname;
  private String _Haarfarbe;
  protected int _Alter;

  //*********
  //Methoden
  //*********

  //Konstruktor der Klasse CMensch
  //Merkmal: Konstruktor besitzt den gleichen Namen wie die Klasse
  //Anmerkung: Diese Bedingung gilt fr Java und C++, bei Delphi kann
  //der Name frei vergeben werden (wegen Schlsselwort - constructor)
  //Warum Konstruktoren? - Vorbelegung von Attributen
  //Wann wird Konstruktor ausgefhrt?
  //bei Instanzierung der Klasse mit dem Schlsselwort "new"

  //Standardkonstuktor
  public CMensch()
  {
    // System.out.println("Standardkonstruktor aufgerufen");
    // System.out.println("Attribute werden nicht vorbelegt");
  }

  //berladener Konstruktor
  public CMensch(String name, String vorname, int alter)
  {
    // System.out.println("berladener Konstruktor aufgerufen");
    // System.out.println("Attribute werden jetzt vorbelegt");

    _Name=name;
    _Vorname=vorname;
    _Alter=alter;
  }

  public String getName()
  {
    return _Name;
  }

  public void setName(String Value)
  {
    _Name=Value;
  }



  public int getAlter()
  {
    return _Alter;
  }

  public void setAlter(int Value)
  {
    _Alter=Value;
  }

  public String getHaarfarbe()
  {
    return _Haarfarbe;
  }

  public void setHaarfarbe(String Value)
  {
    _Haarfarbe=Value;
  }

  public static void main(String[] args)
  {
    //1.Variante: Objektvariable und Instanz gleichzeitig anlegen
    CMensch Mensch = new CMensch();
    //bei Objekt Mensch sind Attribute nich vorbelegt - siehe Konstruktor
    System.out.println("Name Mensch: " + Mensch.getName());
    System.out.println("Alter Mensch: " + Mensch.getAlter());

    //2.Variante: erst Objektvariable anlegen, dann Instanzieren
    CMensch MenschNeu;
    MenschNeu = new CMensch("Meier","Hans",25);
    //bei Objekt MenschNeu sind Attribute vorbelegt - siehe Konstruktor
    System.out.println("Name MenschNeu: " + MenschNeu.getName());
    System.out.println("Alter MenschNeu: " + MenschNeu.getAlter());

    //abgeleitete Klasse
    //CStudent Student = new CStudent();


    //Argumente auf Kommandozeile
    //System.out.println("argumente: " + args[0] + " und " + args[1]);

  }


}